Skip to content

Update a match (v2)

POST/v2/matches/{matchId}

POST
/v2/matches/{matchId}
curl --request POST \
--url https://api.ligr.live/rest/v2/matches/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "venueId": 1, "competitionId": 1, "date": "2026-04-15T12:00:00Z", "competitorsType": "singles", "competitors": [ { "entityId": 1, "entityType": "team", "meta": { "isHome": true } } ] }'

Update an existing match.

matchId
required

Entity identifier

integer format: int32
>= 1

The match properties to update

Media typeapplication/json
object
name

Match name

string
>= 5 characters <= 42 characters
venueId

Entity identifier

integer format: int32
>= 1
competitionId

Entity identifier

integer format: int32
>= 1
date
string format: date-time
competitorsType

The match format: singles, doubles, teams or group. It is one value for the match. Each row in competitors has its own entityType. For example, a doubles match has competitorsType: doubles and four entityType: player rows. A group match has player rows.

string
Allowed values: singles doubles teams group
competitors
Array<object>
object
entityId
required

Entity identifier

integer format: int32
>= 1
entityType
required

The kind of one competitor row: team or player. A teams match has team rows. A singles, doubles or group match has player rows.

string
Allowed values: team player
meta
object
isHome
required
boolean

No content

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Match not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}